# CMSIS DSP Software Library: arm_lms_instance_f32 Struct Reference

# arm_lms_instance_f32 Struct Reference

Instance structure for the floating-point LMS filter. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | numTaps
float32_t * | pState
float32_t * | pCoeffs
float32_t | mu

## Detailed Description

Instance structure for the floating-point LMS filter.

Definition at line 3894 of file arm_math.h.

## Field Documentation

uint16_t arm_lms_instance_f32::numTaps

number of coefficients in the filter.

Definition at line 3896 of file arm_math.h.

float32_t* arm_lms_instance_f32::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Definition at line 3897 of file arm_math.h.

float32_t* arm_lms_instance_f32::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 3898 of file arm_math.h.

float32_t arm_lms_instance_f32::mu

step size that controls filter coefficient updates.

Definition at line 3899 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines